The Egress Client for Windows is available for Microsoft Windows 7 or later.

These can be downloaded from our Desktop Apps downloads page.

Please note: The minimum requirements displayed next to each download should be met as not all versions of the Switch Client are compatible with each version of Windows.

Our latest version of the Switch Client for Windows requires the following prerequisites:

  • Microsoft Windows 7/8/10
  • Microsoft Office 2010/2013/2016
  • Microsoft Visual Studio 2010 Tools for Office Runtime (VSTO)
  • Microsoft .NET 4.5 or later

If you are not sure what version of the Egress Client for Windows is appropriate, please see https://supportcentre.egress.com/hc/en-gb/articles/203103592



Have more questions? Submit a request